package com.lanyuanxiaoyao.service.configuration.entity.info;

import com.lanyuanxiaoyao.service.common.entity.FlinkJob;
import com.lanyuanxiaoyao.service.common.entity.TableMeta;
import java.util.List;
import org.eclipse.collections.api.list.ImmutableList;

/**
 * flink job 和 table meta
 *
 * @author lanyuanxiaoyao
 * @date 2023-12-27
 */
public class JobAndMetas {
    private FlinkJob job;
    private ImmutableList<TableMeta> metas;

    public JobAndMetas() {
    }

    public JobAndMetas(FlinkJob job, ImmutableList<TableMeta> metas) {
        this.job = job;
        this.metas = metas;
    }

    public FlinkJob getJob() {
        return job;
    }

    public ImmutableList<TableMeta> getMetas() {
        return metas;
    }

    @Override
    public String toString() {
        return "JobAndMetas{" +
                "job=" + job +
                ", meta=" + metas +
                '}';
    }
}
